petsc-3.12.4 2020-02-04
Report Typos and Errors

# ISGlobalToLocalMappingMode

Indicates mapping behavior if global indices are missing

### Synopsis

    #include "petscis.h"
    typedef enum {IS_GTOLM_MASK,IS_GTOLM_DROP} ISGlobalToLocalMappingMode;

IS_GTOLM_MASK - missing global indices are masked by mapping them to a local index of -1 IS_GTOLM_DROP - missing global indices are dropped

### See Also

ISGlobalToLocalMappingApplyBlock(), ISGlobalToLocalMappingApply()

### Level

beginner

### Location

src/vec/is/is/../../../../include/petscis.h

### Examples

src/vec/is/is/examples/tutorials/ex4.c.html
src/vec/is/is/examples/tutorials/ex5.c.html
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages